curl --request POST \
--url https://app.masivo.ai/api/storefront/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"first_name": "<string>",
"second_name": "<string>",
"last_name": "<string>",
"second_last_name": "<string>",
"email": "jsmith@example.com",
"email_verified": false,
"dob": "2023-12-25",
"country": "<string>",
"city": "<string>",
"phone": "<string>",
"is_anonymous": false,
"source": "<string>",
"channel": "<string>",
"phone_verified": false,
"document_type": "<string>",
"document_number": "<string>",
"status": "ACTIVE",
"tags": {},
"addresses": [
{
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"reference": "<string>",
"alias": "<string>",
"zip_code": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>"
}
],
"billing_info": [
{
"document_number": "<string>",
"document_type": "<string>",
"legal_name": "<string>",
"alias": "<string>",
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"email": "<string>"
}
],
"payments": [
{
"last_four": "<string>",
"card_holder": "<string>",
"card_brand": "<string>",
"alias": "<string>",
"expiry_month": 123,
"expiry_year": 123
}
],
"order": {
"purchase_id": "<string>",
"value": 20.95,
"products": [
{
"sku": "<string>",
"amount": 123,
"value": 123,
"discounted_value": 123,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
}
],
"channel_id": "<string>",
"store_id": "<string>",
"discounted_value": 10.95,
"shipping": {
"value": 3.25,
"discounted_value": 2.25,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
},
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"metadata": {},
"brand_id": "<string>"
}
}
'import requests
url = "https://app.masivo.ai/api/storefront/v1/contacts"
payload = {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"first_name": "<string>",
"second_name": "<string>",
"last_name": "<string>",
"second_last_name": "<string>",
"email": "jsmith@example.com",
"email_verified": False,
"dob": "2023-12-25",
"country": "<string>",
"city": "<string>",
"phone": "<string>",
"is_anonymous": False,
"source": "<string>",
"channel": "<string>",
"phone_verified": False,
"document_type": "<string>",
"document_number": "<string>",
"status": "ACTIVE",
"tags": {},
"addresses": [
{
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"reference": "<string>",
"alias": "<string>",
"zip_code": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>"
}
],
"billing_info": [
{
"document_number": "<string>",
"document_type": "<string>",
"legal_name": "<string>",
"alias": "<string>",
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"email": "<string>"
}
],
"payments": [
{
"last_four": "<string>",
"card_holder": "<string>",
"card_brand": "<string>",
"alias": "<string>",
"expiry_month": 123,
"expiry_year": 123
}
],
"order": {
"purchase_id": "<string>",
"value": 20.95,
"products": [
{
"sku": "<string>",
"amount": 123,
"value": 123,
"discounted_value": 123,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
}
],
"channel_id": "<string>",
"store_id": "<string>",
"discounted_value": 10.95,
"shipping": {
"value": 3.25,
"discounted_value": 2.25,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
},
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"metadata": {},
"brand_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
deleted_at: '2023-11-07T05:31:56Z',
external_id: '<string>',
first_name: '<string>',
second_name: '<string>',
last_name: '<string>',
second_last_name: '<string>',
email: 'jsmith@example.com',
email_verified: false,
dob: '2023-12-25',
country: '<string>',
city: '<string>',
phone: '<string>',
is_anonymous: false,
source: '<string>',
channel: '<string>',
phone_verified: false,
document_type: '<string>',
document_number: '<string>',
status: 'ACTIVE',
tags: {},
addresses: [
{
street_1: '<string>',
street_2: '<string>',
street_number: '<string>',
reference: '<string>',
alias: '<string>',
zip_code: '<string>',
city: '<string>',
state: '<string>',
country: '<string>'
}
],
billing_info: [
{
document_number: '<string>',
document_type: '<string>',
legal_name: '<string>',
alias: '<string>',
street_1: '<string>',
street_2: '<string>',
street_number: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zip_code: '<string>',
phone: '<string>',
email: '<string>'
}
],
payments: [
{
last_four: '<string>',
card_holder: '<string>',
card_brand: '<string>',
alias: '<string>',
expiry_month: 123,
expiry_year: 123
}
],
order: {
purchase_id: '<string>',
value: 20.95,
products: [
{
sku: '<string>',
amount: 123,
value: 123,
discounted_value: 123,
redeem: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', amount: 1}],
tags: {},
metadata: {}
}
],
channel_id: '<string>',
store_id: '<string>',
discounted_value: 10.95,
shipping: {
value: 3.25,
discounted_value: 2.25,
redeem: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', amount: 1}],
tags: {},
metadata: {}
},
redeem: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', amount: 1}],
metadata: {},
brand_id: '<string>'
}
})
};
fetch('https://app.masivo.ai/api/storefront/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"document_type": "<string>",
"document_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"first_name": "<string>",
"second_name": "<string>",
"last_name": "<string>",
"second_last_name": "<string>",
"email_verified": false,
"dob": "2023-12-25",
"gender": "MALE",
"country": "<string>",
"city": "<string>",
"phone": "<string>",
"is_anonymous": false,
"source": "<string>",
"channel": "<string>",
"phone_verified": false,
"status": "ACTIVE",
"tags": {},
"addresses": [
{
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"reference": "<string>",
"alias": "<string>",
"zip_code": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>"
}
],
"billing_info": [
{
"document_number": "<string>",
"document_type": "<string>",
"legal_name": "<string>",
"alias": "<string>",
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"email": "<string>"
}
],
"payments": [
{
"method": "CREDIT",
"last_four": "<string>",
"card_holder": "<string>",
"card_brand": "<string>",
"alias": "<string>",
"expiry_month": 123,
"expiry_year": 123
}
],
"data": {
"contact": {},
"order": {
"purchase_id": "<string>",
"value": 20.95,
"products": [
{
"sku": "<string>",
"amount": 123,
"value": 123,
"discounted_value": 123,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
}
],
"payment_method": "CREDIT",
"channel_id": "<string>",
"store_id": "<string>",
"discounted_value": 10.95,
"shipping": {
"value": 3.25,
"discounted_value": 2.25,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
},
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"metadata": {},
"brand_id": "<string>"
},
"identity_resolutions": [
{
"conditions": "<array>",
"max_group_size": 123,
"temporal_limits": "<array>",
"description": "<string>",
"isDefault": true
}
]
}
}{
"error": "<string>",
"details": "<string>"
}Create contact
Create a new contact. This endpoint allows you to create contacts by their unique identifiers: external ID, email, or document number. At least one of these three fields is required.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Contact creation timestamp
Contact last update timestamp
Contact deletion timestamp (soft delete)
External contact ID
Contact first name
Contact second name
Contact last name
Contact second last name
Contact email address
Whether the email is verified
Date of birth (YYYY-MM-DD)
Contact gender
MALE, FEMALE Contact country
Contact city
Contact phone number
Whether the contact is anonymous
Contact source
Contact channel
Whether the phone is verified
Document type
Document number
Contact status
Custom tags
Contact addresses
Show child attributes
Show child attributes
Billing information
Show child attributes
Show child attributes
Payment information
Show child attributes
Show child attributes
Optional order information associated with contact creation. Extends Order schema with brand_id field. When provided, this will be stored internally in the data field along with identity resolution information.
Show child attributes
Show child attributes
Response
Contact created
Unique identifier for the contact
Persona ID for unified contacts
Contact email address
Document type
Document number
Contact creation timestamp
Contact last update timestamp
Contact deletion timestamp (soft delete)
External contact ID
Contact first name
Contact second name
Contact last name
Contact second last name
Whether the email is verified
Date of birth (YYYY-MM-DD)
Contact gender
MALE, FEMALE Contact country
Contact city
Contact phone number
Whether the contact is anonymous
Contact source
Contact channel
Whether the phone is verified
Contact status
Custom tags
Contact addresses
Show child attributes
Show child attributes
Billing information
Show child attributes
Show child attributes
Payment information
Show child attributes
Show child attributes
Internal metadata object containing: contact (full payload), order (order information extending Order schema with brand_id), and identity_resolutions (applied identity resolution rules)
Show child attributes
Show child attributes